Subject: Re: [PATCH net 0/3] netconsole: Fix reported problems

From: Breno Leitao <[email-masked]>
Date: Mon, 1 Jun 2026 03:31:59 -0700

On Fri, May 29, 2026 at 03:45:10AM -0400, Breno Leitao wrote:
> These are some of the issues that LLM reported to netconsole, and they
> are being addressed here before big refactors.
> 
> I was doing some big refactors, and got some "pre-existent-issues"
> during LLM review of the refactor, that make them hard to guarantee that
> refactor is not introducing any bug, so, let's clean these pre-existent
> bugs first, and then submit the refactor.
> 
> The issues fixed in this patchset were reported during the review of
> https://lore.kernel.org/all/[email-masked]/
> 
> Not all of them got fixed, but, those that were easy to reason about.
> 
> Signed-off-by: Breno Leitao <[email-masked]>

Somehow this patch haven't applied to 'net' tree and the tests haven't
run.

https://patchwork.kernel.org/project/netdevbpf/patch/[email-masked]/

I will respin it.

--
pw-bot: cr